0

When updating CentOS yum has crashed and left me with Error: rpmdb open failed. I tired to fix it with this answer and it left me with working yum and some unfinished transactions.

I then evoke yum-complete-transaction and tried yum history undo last but latter failed, so I evoke yum check (output below). Later on I tried to remove all duplicated packages with yum remove $(cat list), wherelistis file with space-separated list of packages fromyum check`. As a result I get whole lot of dependencies to remove including protected packages (systemd and yum).

I don't know where should I go from this point. Should I provide some additional command outputs?

Edit: I forgot to mention that system didn't boot with new kernel (quite obviously).

# yum list "kernel" 
Installed Packages
kernel.x86_64                                                                               3.10.0-327.18.2.el7                                                                               @updates 
kernel.x86_64                                                                               3.10.0-327.22.2.el7                                                                               @updates 
kernel.x86_64                                                                               3.10.0-327.36.2.el7                                                                               @updates 
kernel.x86_64                                                                               3.10.0-327.36.3.el7                                                                               @updates 
kernel.x86_64                                                                               3.10.0-514.2.2.el7                                                                                installed

Yum check log: # yum check Loaded plugins: fastestmirror

audit-libs-2.6.5-3.el7.x86_64 is a duplicate with audit-libs-2.4.1-5.el7.x86_64
binutils-2.25.1-22.base.el7.x86_64 is a duplicate with binutils-2.23.52.0.1-55.el7.x86_64
centos-release-7-3.1611.el7.centos.x86_64 is a duplicate with centos-release-7-2.1511.el7.centos.2.10.x86_64
coreutils-8.22-18.el7.x86_64 is a duplicate with coreutils-8.22-15.el7_2.1.x86_64
cronie-1.4.11-14.el7_2.1.x86_64 is a duplicate with cronie-1.4.11-14.el7.x86_64
1:dbus-libs-1.6.12-017.el7.x86_64 is a duplicate with 1:dbus-libs-1.6.12-14.el7_2.x86_64
1:dmidecode-3.0-2.el7.x86_64 is a duplicate with 1:dmidecode-2.12-9.el7.x86_64
elfutils-libelf-0.166-2.el7.x86_64 is a duplicate with elfutils-libelf-0.163-3.el7.x86_64
2:ethtool-4.5-3.el7.x86_64 is a duplicate with 2:ethtool-3.15-2.el7.x86_64
expat-2.1.0-10.el7_3.x86_64 is a duplicate with expat-2.1.0-8.el7.x86_64
filesystem-3.2-21.el7.x86_64 is a duplicate with filesystem-3.2-20.el7.x86_64
glibc-2.17-157.el7_3.1.x86_64 is a duplicate with glibc-2.17-106.el7_2.8.x86_64
glibc-common-2.17-157.el7_3.1.x86_64 is a duplicate with glibc-common-2.17-106.el7_2.8.x86_64
kernel-tools-libs-3.10.0-514.2.2.el7.x86_64 is a duplicate with kernel-    tools-libs-3.10.0-327.36.3.el7.x86_64
libX11-common-1.6.3-3.el7.noarch is a duplicate with libX11-common-1.6.3-2.el7.noarch
libcom_err-1.42.9-9.el7.x86_64 is a duplicate with libcom_err-1.42.9-7.el7.x86_64
libffi-3.0.13-18.el7.x86_64 is a duplicate with libffi-3.0.13-16.el7.x86_64
libgcc-4.8.5-11.el7.x86_64 is a duplicate with libgcc-4.8.5-4.el7.x86_64
libgcrypt-1.5.3-13.el7_3.1.x86_64 is a duplicate with libgcrypt-1.5.3-12.el7_1.1.x86_64
libgomp-4.8.5-11.el7.x86_64 is a duplicate with libgomp-4.8.5-4.el7.x86_64
libndp-1.2-7.el7.x86_64 is a duplicate with libndp-1.2-6.el7_2.x86_64
libnl3-3.2.28-2.el7.x86_64 is a duplicate with libnl3-3.2.21-10.el7.x86_64
libselinux-2.5-6.el7.x86_64 is a duplicate with libselinux-2.2.2-6.el7.x86_64
libsepol-2.5-6.el7.x86_64 is a duplicate with libsepol-2.1.9-3.el7.x86_64
libtalloc-2.1.6-1.el7.x86_64 is a duplicate with libtalloc-2.1.5-1.el7_2.x86_64
libtasn1-3.8-3.el7.x86_64 is a duplicate with libtasn1-3.8-2.el7.x86_64
libuuid-2.23.2-33.el7.x86_64 is a duplicate with libuuid-2.23.2-26.el7_2.3.x86_64
lm_sensors-libs-3.4.0-4.20160601gitf9185e5.el7.x86_64 is a duplicate with lm_sensors-libs-3.3.4-11.el7.x86_64
lsscsi-0.27-4.el7.x86_64 is a duplicate with lsscsi-0.27-3.el7.x86_64
lua-5.1.4-15.el7.x86_64 is a duplicate with lua-5.1.4-14.el7.x86_64
nss-softokn-freebl-3.16.2.3-14.4.el7.x86_64 is a duplicate with nss-softokn-freebl-3.16.2.3-14.2.el7_2.x86_64
nss-util-3.21.3-1.1.el7_3.x86_64 is a duplicate with nss-util-3.21.0-2.2.el7_2.x86_64
pciutils-libs-3.5.1-1.el7.x86_64 is a duplicate with pciutils-libs-3.2.1-4.el7.x86_64
setup-2.8.71-7.el7.noarch is a duplicate with setup-2.8.71-6.el7.noarch
xz-libs-5.2.2-1.el7.x86_64 is a duplicate with xz-libs-5.1.2-12alpha.el7.x86_64
Error: check all
1

OK, so I don't know why I tried to remove those broken packages instead of reinstalling them, hence the kinda hackish way to reinstall all broken packages:

yum reinstall $(yum check | awk 'NR!=1{print $1}' | tr '\n' ' ')

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.